// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext.kotlin_version = '2.0.20' // Replace with the latest version
    ext.gradle_version = '8.6.0' // Replace with the latest version
    ext.google_services_version = '4.4.2' // Replace with the latest version
    repositories {
        google()
        mavenCentral()
    }
    dependencies {
        classpath "com.android.tools.build:gradle:$gradle_version"  // Use a versão do Gradle que corresponde à sua configuração
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "com.google.gms:google-services:$google_services_version" // Google Services plugin
        }
}
    
allprojects {
    repositories {
        google()
        mavenCentral()
        // Adicione outros repositórios aqui, se necessário.
    }
}

rootProject.buildDir = '../build'
subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
    project.evaluationDependsOn(':app')
}

tasks.register("clean", Delete) {
    delete rootProject.buildDir
}